#pragma once

#include <map>
#include <string>

namespace inaf::oasbo::Configurators {

class BaseConfigurator{
protected:
	std::map<std::string,std::string> config;

public:
	virtual std::map<std::string, std::string> readConfig() = 0;
	virtual void updateConfig(std::map<std::string, std::string>) = 0;

	std::string toString(){
		std::string ret = "";
		for( const std::pair<std::string, std::string> n : config) {
			ret += n.first + " : " + n.second + "\n";
		}
		return ret;
	}

	virtual ~BaseConfigurator() = default;

};
}
